%define _legacy_common_support 1
Summary: Migration Assistant
Name:	 migration-assistant
Version: 0.6.13
Release: %mkrel 5
Source0: http://archive.ubuntu.com/ubuntu/pool/universe/m/%{name}/%{name}_%{version}.tar.gz
Patch0:	 migration-assistant-xdg.patch
License: GPLv2+
Group:	 System/Configuration
Url:	 https://launchpad.net/migration-assistant
BuildRequires: pkgconfig(libxml-2.0)

%description
Migration Assistant imports documents and settings from other
operating systems during the install process.

%prep
%setup -q
%autopatch -p1

%build
export CC="gcc %{optflags} -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%make_build

%install
%make_install
install -m755 ma-search-users %{buildroot}%{_bindir}

%files
%doc README
%{_bindir}/ma-import
%{_bindir}/ma-search-items
%{_bindir}/ma-search-users


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 0.6.13-5.mga9
+ Revision: 1798513
- Mageia 9 Mass Rebuild

* Thu Aug 06 2020 joequant <joequant> 0.6.13-4.mga8
+ Revision: 1611620
- fix multiple defines

* Thu Feb 13 2020 umeabot <umeabot> 0.6.13-3.mga8
+ Revision: 1515155
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.6.13-2.mga7
+ Revision: 1299536
- Mageia 7 Mass Rebuild

* Tue May 23 2017 luigiwalser <luigiwalser> 0.6.13-1.mga6
+ Revision: 1104165
- 0.6.13
- remove string format patch (upstreamed)

* Mon Feb 08 2016 umeabot <umeabot> 0.6.12-7.mga6
+ Revision: 947377
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.12-6.mga5
+ Revision: 747667
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.12-5.mga5
+ Revision: 682388
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.12-4.mga4
+ Revision: 521638
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 0.6.12-3.mga3
+ Revision: 391483
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 0.6.12-2.mga3
+ Revision: 360067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 luigiwalser <luigiwalser> 0.6.12-1.mga3
+ Revision: 311653
- 0.6.12

* Wed Jan 12 2011 blino <blino> 0.6.4-3.mga1
+ Revision: 6720
- imported package migration-assistant


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.4-3mdv2011.0
+ Revision: 606641
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.4-2mdv2010.1
+ Revision: 523306
- rebuilt for 2010.1

* Sun Jul 26 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 400416
- New version 0.6.4

* Sun Mar 08 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.2-2mdv2009.1
+ Revision: 352762
- diff p1 to fix string format not literal

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 25 2008 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 228851
- New version 0.6.2
- drop patch0,1,2,3,4,5,6,8,9,10 (merged upstream)
- rediff xdg dir patch

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.6.0-3mdv2009.0
+ Revision: 223258
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - make profilesdir error message more generic

* Thu Mar 13 2008 Olivier Blin <oblin@mandriva.com> 0.6.0-2mdv2008.1
+ Revision: 187496
- filter Public and Default users for Vista (from registry keys)
- filter "Default User" key in Vista (it is a junction to Default)
- do not segfault if keys are missing
- get profiles directory from registry for ma-search-items and
  ma-import as well ("Documents and Settings" is not correct in Vista)
- fix segfault by zeroing buffers for strcat
- improve WINNT patch to factorize user registry location as well
- update source URL

* Mon Mar 10 2008 Olivier Blin <oblin@mandriva.com> 0.6.0-1mdv2008.1
+ Revision: 183547
- 0.6.0
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 21 2007 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2008.1
+ Revision: 101036
- New version 0.5.4

* Wed Oct 03 2007 Olivier Blin <oblin@mandriva.com> 0.5.1-3mdv2008.0
+ Revision: 95185
- use XDG directories instead of hardcoded english names (#34381)

* Wed Oct 03 2007 Olivier Blin <oblin@mandriva.com> 0.5.1-2mdv2008.0
+ Revision: 95020
- handle win2k migration by not trying to import music if not present
- fix get_insensitive_path(), since closedir() frees data returned by readdir()
- fix WINNT handling in ma-search-users

* Mon Oct 01 2007 Olivier Blin <oblin@mandriva.com> 0.5.1-1mdv2008.0
+ Revision: 94319
- 0.5.1

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 0.4.5-5mdv2008.0
+ Revision: 61566
- do not uselessly create directories with uninitialized names
- fix my fd leak fix /o\

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 0.4.5-4mdv2008.0
+ Revision: 61272
- fix more file descriptor leaks (to migrate a big number of files)

* Thu Aug 09 2007 Olivier Blin <oblin@mandriva.com> 0.4.5-3mdv2008.0
+ Revision: 60880
- fix again segfault when file has no extension (upstream copy-paste rox)

* Wed Aug 01 2007 Olivier Blin <oblin@mandriva.com> 0.4.5-1mdv2008.0
+ Revision: 57543
- buildrequire libxml2-devel
- reimplement copy to handle large files
- fix file descriptor leaks to be able to import a big number of files
- fix segfault when file has no extension
- initial release
- Create migration-assistant

